unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, mwTSearch,
  StdCtrls, mwFastTime;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Time1: TmwFastTime;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    procedure Button1Click(Sender: TObject);
  private
    function RndString:String;
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function TForm1.RndString:String;
var
  J, Len: integer;
  aChar: Char;
  CharArray: array[0..5] of Char;
begin
  Randomize;
  Len:= random(5);
  for J := 0 to Len -1 do
    begin
      repeat
      aChar := Chr(random(58) + Ord('A'));
      until (aChar <= 'Z') or (aChar >= 'a');
      CharArray[J]:= aChar;
    end;
    CharArray[Len]:= #0;
    Result:= CharArray;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  Search: TTSearch;
  TextLine: String;
  I: Integer;
begin
  TextLine:= 'The day broke gray and dull. The clouds hung heavily, and there ' +
             'was a rawness in the air that suggested snow.' + #13#10;
  for I:= 1 to 13 do TextLine:= TextLine + RndString + #13#10 + TextLine;
  Time1.Start;
  Search:= TTSearch.Create;
  Search.Init('heavily');
  Search.FindFirst(TextLine);
  while not Search.Finished do Search.Next;
  Time1.Stop;
  Edit1.Text:= 'String Size: ' + IntToStr(Length(TextLine));
  Edit2.Text:= 'Found ' + IntToStr(Search.Count);
  Search.Free;
  Edit3.Text:= Time1.ElapsedTime;

end;

end.
